#!/usr/bin/make -f

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export DEB_CARGO_CRATE=mitmproxy_wireguard_$(DEB_VERSION_UPSTREAM)


%:
	dh $@ --with python3

override_dh_auto_build:
	# maturin is not available yet in Debian: build and install
	# manually the package
	cargo build --manifest-path Cargo.toml

execute_after_dh_install:
	mv target/debug/libmitmproxy_wireguard*.so debian/python3-mitmproxy-wireguard/usr/lib/python3/dist-packages/mitmproxy_wireguard/mitmproxy_wireguard.abi3.so
	mv mitmproxy_wireguard.pyi debian/python3-mitmproxy-wireguard/usr/lib/python3/dist-packages/mitmproxy_wireguard/__init__.pyi
